## dkg-handwriting 0.17

=== Makefile ===
#!/usr/bin/make -f

# Makefile for ttf-fifthhorseman-dkg-handwriting

# (c) 2007-2009 Daniel Kahn Gillmor <dkg@fifthhorseman.net>
# Licensed under GPL v3 or later

# This Makefile is mostly a dummy, but it should allow for building an
# "upstream" tarball, and for a quick way to build the fonts cleanly.

dkg.ttf: dkg-handwriting.sfd dkg-handwriting.pe
	./dkg-handwriting.pe

dkgTTFs.zip: dkg.ttf
	ln -s . dkg-handwriting-font
	zip dkgTTFs.zip dkg-handwriting-font/*.ttf dkg-handwriting-font/README.TXT
	rm -f dkg-handwriting-font

clean: 
	rm -f *.ttf dkgTTFs.zip

# invoke this target like `make VERSION=0.1 release' to build an
# "upstream tarball" in the build subdir (note: the curly braces are a
# bashism -- you can only "make release" from bash or an equivalent)
release:
	mkdir -p build/upstream
	ln -s ../.. build/upstream/ttf-fifthhorseman-dkg-handwriting-$(VERSION)
	(cd build/upstream && tar czf ../ttf-fifthhorseman-dkg-handwriting_$(VERSION).tar.gz --exclude=.svn --exclude=*~ ttf-fifthhorseman-dkg-handwriting-$(VERSION)/{COPYING,README.TXT,Makefile,dkg-handwriting.{pe,sfd}})
	rm -f build/upstream/ttf-fifthhorseman-dkg-handwriting-$(VERSION)

## dkg-handwriting 0.15

=== debian/changelog ===
dkg-handwriting (0.15-1) unstable; urgency=low

  * New Upstream Release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 12 Mar 2012 19:11:22 -0400

dkg-handwriting (0.14-1) unstable; urgency=low

  * New Upstream Version (Closes: #634891)
  * Bump Standards-Version to 3.9.3 (no changes needed)
  * changed package name to dkg-handwriting (binary package is
    fonts-dkg-handwriting)
  * removed x-ttcidfont-conf from Recommends (Closes: #660059)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sun, 11 Mar 2012 19:13:07 -0400

ttf-fifthhorseman-dkg-handwriting (0.13-3) unstable; urgency=low

  * Another packaging cleanup release.
  * Switch to git, update Vcs- fields in debian/control.
  * Bump standards to 3.8.3 (no changes needed).
  * Removed Dm-Upload-Allowed, as i'm now a DD.
  * Made debian/copyright machine-readable.
  * dropped defoma, cleaned up old defoma conffile during preinst.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 07 Jan 2010 03:06:56 -0500

ttf-fifthhorseman-dkg-handwriting (0.13-2) unstable; urgency=low

  * A packaging cleanup release.
  * updated my e-mail address
  * debian/control cleanup:
   - bumped Standards-Version to 3.8.1 (no changes needed)
   - removed XS- from Dm-Upload-Allowed
   - moved Section: from x11 to fonts
  * moved to debhelper 7, minimized debian/rules
  * upstream Makefile patched: made clean target more resilient
  * debian/changelog now points explicitly to GPL-3 for debian packaging
  * removed unnecessary postinst fc-cache invocation (see
    http://lists.debian.org/debian-devel/2008/05/msg00805.html).
    debhelper now generates postinst on its own if needed.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sun, 29 Mar 2009 23:35:42 -0400

ttf-fifthhorseman-dkg-handwriting (0.13-1) unstable; urgency=low
  
  * new upstream version: license and packaging cleanup
  * set Homepage:, Vcs-Svn:, Vcs-Browser:, and XS-Dm-Upload-Allowed:
    fields in debian/control

 -- Daniel Kahn Gillmor <dkg-debian.org@fifthhorseman.net>  Sun, 02 Dec 2007 18:27:48 -0500

ttf-fifthhorseman-dkg-handwriting (0.12-2) unstable; urgency=low

  * Fixed defoma hinting.  Thanks, Carlos C Soto. (Closes: #440139)

 -- Daniel Kahn Gillmor <dkg-debian.org@fifthhorseman.net>  Thu, 30 Aug 2007 12:45:10 -0400

ttf-fifthhorseman-dkg-handwriting (0.12-1) unstable; urgency=low

  * New Upstream Version (no changes to glyphs)
  * changed licensing to OFL v1.1

 -- Daniel Kahn Gillmor <dkg-debian.org@fifthhorseman.net>  Wed, 15 Aug 2007 17:17:31 -0400

ttf-fifthhorseman-dkg-handwriting (0.11-1) unstable; urgency=low

  * New upstream version (includes more complete copyright licensing
    information)

 -- Daniel Kahn Gillmor <dkg-debian.org@fifthhorseman.net>  Tue,  9 Jan 2007 09:08:03 -0500

ttf-fifthhorseman-dkg-handwriting (0.10-1) unstable; urgency=low

  * First official release to Debian (closes: #404652)
  * minor changes to upstream version.
  * switched to a non-native package format, changed version numbering,
    and cleaned up debian/rules. Thanks, Rafael Laboissiere!
  * improved boldifying function in font generation.

 -- Daniel Kahn Gillmor <dkg-debian.org@fifthhorseman.net>  Mon,  8 Jan 2007 11:47:54 -0500

ttf-fifthhorseman-dkg-handwriting (0.009) unstable; urgency=low

  * changed build scripts based on good advice from George Williams
    (author of FontForge) -- faults are still my own, of course.

 -- Daniel Kahn Gillmor <dkg-debian.org@fifthhorseman.net>  Wed, 27 Dec 2006 01:28:41 -0500

ttf-fifthhorseman-dkg-handwriting (0.008) unstable; urgency=low

  * fixed up debian/rules (thanks, lintian!)
  * bumped policy version to be up-to-date (no changes needed).

 -- Daniel Kahn Gillmor <dkg-debian.org@fifthhorseman.net>  Fri, 22 Sep 2006 13:39:23 -0400

ttf-fifthhorseman-dkg-handwriting (0.007) unstable; urgency=low

  * added versioned build-depends on fontforge to avoid using my own
    patches.
  * changed buildscripts to ues SetOS2Value() instead of my old
    SetTTFWeight()

 -- Daniel Kahn Gillmor <dkg-debian.org@fifthhorseman.net>  Sun,  2 Apr 2006 21:19:11 -0400

ttf-fifthhorseman-dkg-handwriting (0.006) unstable; urgency=low

  * dropped the version suffix because this is a debian-specific source.
  * added a clean rule to remove debian/files
  * updated policy version to 3.6.2.1

 -- Daniel Kahn Gillmor <dkg-debian.org@fifthhorseman.net>  Wed, 23 Nov 2005 19:21:49 -0500

ttf-fifthhorseman-dkg-handwriting (0.005) unstable; urgency=low

  * new font version number
  * generating bold, italic, and bold italic versions via a script
  * changed name from dkg-handwriting to dkgHandwriting

 -- Daniel Kahn Gillmor <dkg-debian.org@fifthhorseman.net>  Wed, 12 Oct 2005 13:47:18 -0400

ttf-fifthhorseman-dkg-handwriting (0.004) unstable; urgency=low

  * new font version number
  * removed 10px bitmaps: they're terrible.
  * added italics angle (30 degrees), and made underline width skinnier.

 -- Daniel Kahn Gillmor <dkg-debian.org@fifthhorseman.net>  Sun, 09 Oct 2005 17:59:33 -0400

ttf-fifthhorseman-dkg-handwriting (0.003) unstable; urgency=low

  * new font version number
  * completed charset for ISO8859-1 (Latin1)
  * added 10px bitmaps for testing

 -- Daniel Kahn Gillmor <dkg-debian.org@fifthhorseman.net>  Sat, 08 Oct 2005 00:38:26 -0400

ttf-fifthhorseman-dkg-handwriting (0.002) unstable; urgency=low

  * fixed a few broken chars
  * new font version number
  * matched "human-readable" font description to font name ("dkg-handwriting")
  * put fontforge in build-depends, shipping .sfd as preferred form
    for editing.

 -- Daniel Kahn Gillmor <dkg-debian.org@fifthhorseman.net>  Thu, 29 Sep 2005 01:13:38 -0400

ttf-fifthhorseman-dkg-handwriting (0.001) unstable; urgency=low

  * Tuning to fix linda-reported errors

 -- Daniel Kahn Gillmor <dkg-debian.org@fifthhorseman.net>  Tue, 27 Sep 2005 00:18:25 -0400

=== debian/control ===
Source: dkg-handwriting
Section: fonts
Priority: optional
Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Build-Depends: debhelper (>= 8)
Build-Depends-Indep: fontforge (>= 0.0.20051205-0.1)
Standards-Version: 3.9.3
Homepage: http://cmrg.fifthhorseman.net/wiki/fonts
Vcs-Git: git://lair.fifthhorseman.net/~dkg/dkg-handwriting

Package: fonts-dkg-handwriting
Architecture: all
Depends: ${misc:Depends}
Recommends: fontconfig
Replaces: ttf-fifthhorseman-dkg-handwriting (<< 0.14)
Provides: ttf-fifthhorseman-dkg-handwriting
Conflicts: ttf-fifthhorseman-dkg-handwriting (<< 0.14)
Description: font that imitates Daniel Kahn Gillmor's handwriting
 This is a goofy TrueType font that mimics Daniel Kahn Gillmor's
 handwriting. It covers charset ISO-8859-1 plus some extra characters,
 and it includes bold, italic, and bold italic variants.

Package: ttf-fifthhorseman-dkg-handwriting
Depends: fonts-dkg-handwriting, ${misc:Depends}
Architecture: all
Section: oldlibs
Priority: extra
Description: transitional dummy package
 This package is a dummy transitional package. It can be safely removed.

## dkg-handwriting 0.16

=== debian/changelog ===
dkg-handwriting (0.16-2) unstable; urgency=medium

  * switch to DEP-14 and use salsa
  * wrap-and-sort -ast
  * d/changelog: strip trailing whitespace
  * standards-version: 4.1.4 (no changes needed)
  * added Rules-Requires-Root: no
  * move to debhelper 11
  * remove reference to legacy ttf-fifthhorseman-dkg-handwriting package

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 14 Jun 2018 12:32:37 -0400

dkg-handwriting (0.16-1) unstable; urgency=medium

  * new upstream version
   - clean up broken ligature table
   - added U+1F35C STEAMING BOWL (Closes: #760034)
  * bumped standards-version to 3.9.8 (no changes needed)
  * bumped to debhlper 10
  * updated debian/copyright to the modern format
  * removed preinst maintscript, no longer needed
  * removed ttf-fifthorseman-dkg-handwriting transitional dummy package,
    no longer needed
  * make font package Multi-Arch: foreign (thanks, lintian!)
  * clean up dependencies
  * move debian packaging to pkg-fonts on alioth

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 11 Oct 2016 12:33:49 -0400

dkg-handwriting (0.15-2) unstable; urgency=medium

  * adding upstream signature (orig.tar.gz.asc)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 20 Aug 2015 16:27:50 +0200

=== debian/control ===
Source: dkg-handwriting
Section: fonts
Priority: optional
Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Build-Depends:
 debhelper (>= 11~),
Build-Depends-Indep:
 fontforge (>= 0.0.20051205-0.1),
Standards-Version: 4.1.4
Homepage: http://cmrg.fifthhorseman.net/wiki/fonts
Vcs-Git: https://salsa.debian.org/fonts-team/dkg-handwriting.git
Vcs-Browser: https://salsa.debian.org/fonts-team/dkg-handwriting
Rules-Requires-Root: no

Package: fonts-dkg-handwriting
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: font that imitates Daniel Kahn Gillmor's handwriting
 This is a goofy TrueType font that mimics Daniel Kahn Gillmor's
 handwriting. It covers charset ISO-8859-1 plus some extra characters,
 and it includes bold, italic, and bold italic variants.

## dkg-handwriting 0.17

=== debian/changelog ===
dkg-handwriting (0.17-1) unstable; urgency=medium

  * New upstream version
  * move to DEP-14 branch naming
  * move to dh 13
  * Standards-Version: bump to 4.6.2 (no changes needed)
  * d/copyright: update years
  * update upstream metadata
  * remove unnecessary constraints

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 26 Jan 2023 13:15:29 -0500

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 13),
 Build-Depends-Indep:
- fontforge (>= 0.0.20051205-0.1),
-Standards-Version: 4.1.4
+ fontforge
+Standards-Version: 4.6.2
 Homepage: http://cmrg.fifthhorseman.net/wiki/fonts
 Vcs-Git: https://salsa.debian.org/fonts-team/dkg-handwriting.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/dkg-handwriting

=== debian/watch ===
version=4
opts=\
mode=git,\
pgpmode=gittag \
https://gitlab.com/dkg/dkg-handwriting.git refs/tags/dkg-handwriting/@ANY_VERSION@
